@import url("https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=Pacifico&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nanum+Gothic+Coding:wght@400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Homemade+Apple&family=Nanum+Gothic+Coding:wght@400;700&display=swap");
@font-face {
    font-family: "Pacifico";
    src:
        url("path/to/pacifico.woff2") format("woff2"),
        url("path/to/pacifico.woff") format("woff");
    font-display: swap; /* Fallback to a system font while loading */
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

.resume {
    text-decoration: none;
    color: #00ff00;
}

#main-content {
    display: none; /* Initially hidden */
    opacity: 0; /* Start with no opacity */
    transition: opacity 0.5s ease; /* Smooth fade in */
}

.loading-animation {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100vh;
    font-family: "Pacifico", cursive;
    font-size: 30px;
    color: transparent;
    background: linear-gradient(90deg, #b29a7b, #f5f0e1);
    background-size: 300% 300%;
    -webkit-background-clip: text;
    background-clip: text;
    padding-bottom: 8px;
    animation: gradientAnimation 5s ease infinite;
    text-align: center;
}
.loading-animation:before {
    content: "Adithyan PR";
}
@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 100% 50%;
    }
}

body {
    font-family: "Nanum Gothic Coding", monospace;
    line-height: 1.6;
    color: #f5e9d7;
    background-color: #000;
}
@keyframes appear {
    from {
        opacity: 0;
        blur: 5px;
        transform: translateX(-100px);
    }
    to {
        opacity: 1;
        blur: 0px;
        transform: translateX(0px);
    }
}

.block {
    animation: appear linear;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
}

@keyframes shrink {
    from {
        height: auto;
    }
    to {
        height: 100px;
        transition: 0.5s ease;
    }
}

header {
    margin-top: -30px;
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
    padding: 4rem 0;
    text-align: center;
    width: 100%;
    height: auto;
    transform: height 0.5s ease-in;
    z-index: 1000;
    border-bottom-right-radius: 50px;
    border-bottom-left-radius: 50px;
}

header h1,
nav h1 {
    font-size: 2.5rem;
    font-family: "Pacifico", cursive;
    font-weight: 700;
    color: #f5e9d7;
}

header p {
    font-size: 1.2rem;
    font-weight: 300;
    color: #f5e9d7;
    margin-top: 1rem;
}

nav {
    position: fixed;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    color: #f5e9d7;
    border-radius: 25px;
    padding: 10px 20px;
    transition:
        opacity 0.3s ease,
        visibility 0.3s ease;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
    font-family: "Pacifico", cursive;
}

nav h1 {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    margin-bottom: 10px;
}

nav.visible {
    opacity: 1;
    visibility: visible;
}

nav ul {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 0;
}

nav ul li {
    margin: 0 1.5rem;
}

nav ul li a {
    color: #f5e9d7;
    text-decoration: none;
    font-size: 1rem;
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: #8b6e4f;
}

nav ul li a.active {
    color: #8b6e4f;
    font-weight: bold;
}

@media (min-width: 769px) {
    header {
        position: fixed;
    }

    nav h1 {
        display: none;
    }

    nav {
        top: 155px;
    }
}

.container {
    max-width: auto;
    margin: 0 auto;
    padding: 0 1.5rem;
}

.container-projects,
.container-footer {
    max-width: auto;
    margin: 0 auto;
    padding: 0 1.5rem;
}

.container-projects a:hover {
    color: #8b6e4f;
}

.container-about {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5rem 2rem;
    text-align: center;
}

.section {
    padding: 6rem 0;
    width: auto;
}

h2 {
    text-align: center;
    font-size: 2rem;
    margin-bottom: 2rem;
    color: #f5e9d7;
    font-weight: 700;
}

.container-about h2 {
    font-size: 2.5rem;
    color: #f5e9d7;
    text-align: center;
}

#about p {
    text-align: center;
    font-size: 1.2rem;
    max-width: 800px;
    margin: 0 auto;
    line-height: 1.8;
    color: #f5e9d7;
    z-index: 1;
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
    border-radius: 25px;
}

.container-about img.image-3d {
    width: 100%;
    max-width: 300px;
    height: auto;
    margin: 1rem auto;
    border-bottom-style: groove;
    transform: perspective(500px) rotateY(10deg) rotateX(5deg);
    transition: transform 0.5s ease;
}

.container-about img.image-3d:hover {
    transform: perspective(500px) rotateY(0) rotateX(0);
}

@media (min-width: 1024px) {
    .container-about {
        flex-direction: row;
        justify-content: space-between;
        text-align: left;
        padding: 7rem 5rem;
    }

    .container-about img.image-3d {
        max-width: 450px;
        margin-right: 3rem;
        transform: perspective(600px) rotateY(8deg) rotateX(3deg);
    }
}

.project-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
}

.project-card {
    background-color: #b0976d;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05);
    transition: transform 0.3s ease;
    text-align: center;
}

.project-card h3 {
    font-size: 1.5rem;
    color: #f5e9d7;
}

.project-card p {
    color: #f5e9d7;
    margin: 1rem 0;
}

.project-link {
    color: #f5e9d7;
    text-decoration: none;
    font-weight: 700;
    display: inline-block;
    margin-top: 1rem;
}

.project-card:hover {
    transform: translateY(-5px);
}

.contact-form {
    border-radius: 10px;
}

form {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    max-width: 600px;
    margin: 0 auto;
}

form input,
form textarea {
    width: 100%;
    padding: 1rem;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 1rem;
}

form textarea {
    height: 150px;
    resize: none;
}

.submit-btn {
    padding: 1rem 2rem;
    background-color: #b0976d;
    color: #f5e9d7;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    outline-offset: 4px;
    transition: all 0.3s ease;
    box-shadow:
        0 8px 0 #8b6e4f,
        0 12px 15px rgba(0, 0, 0, 0.2);
    font-size: 1.2rem;
    font-weight: 600;
    position: relative;
}

.submit-btn:hover {
    transform: translateY(8px);
    box-shadow:
        0 2px 0 #8b6e4f,
        0 4px 6px rgba(0, 0, 0, 0.2);
    background-color: #8b6e4f;
}

.submit-btn:active {
    transform: translateY(10px);
    box-shadow:
        0 1px 0 #8b6e4f,
        0 2px 3px rgba(0, 0, 0, 0.2);
}

footer {
    background-color: #000;
    color: #f5e9d7;
    padding: 2rem 0;
    text-align: center;
    border-top: 1px solid #f5e9d7;
}

footer p {
    margin-bottom: 1rem;
    color: #f5e9d7;
}

.linkedin,
.github,
.instagram {
    filter: invert(100%);
}

.social-links {
    list-style: none;
    display: flex;
    justify-content: center;
}

.social-links li {
    margin: 0 1rem;
    transition:
        transform 150ms cubic-bezier(0, 0, 0.58, 1),
        background 150ms cubic-bezier(0, 0, 0.58, 1);
}

.social-links a {
    color: #0083;
}

#cookieConsent {
    display: none;
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
    color: #fff;
    padding: 10px;
    text-align: center;
    z-index: 1000;
}

#progressBar {
    height: 4px;
    background: #f5e9d7;
    backdrop-filter: blur(8px);
    position: fixed;
    top: 0;
    left: 0;
    width: 0%;
    z-index: 1000;
}

#wrap {
    width: 100%;
    height: auto;
    position: relative;
    margin: 0 auto 0 auto;
}

#lightings {
    position: relative;
    width: 100%;
    bottom: -60px;
}

article {
    /*border-radius*/
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    height: 0px;
    width: 100%;
    position: relative;
    margin: auto;
}

#one {
    /*animation*/
    -webkit-animation: one 5s ease-in-out infinite alternate;
    -moz-animation: one 5s ease-in-out infinite alternate;
    -ms-animation: one 5s ease-in-out infinite alternate;
    -o-animation: one 5s ease-in-out infinite alternate;
    animation: one 5s ease-in-out infinite alternate;
}
@-webkit-keyframes one {
    from {
        -webkit-box-shadow: 0 0 250px 20px #473c78;
    }

    to {
        -webkit-box-shadow: 0 0 100px 15px #f72a3b;
    }
}
@-moz-keyframes one {
    from {
        -moz-box-shadow: 0 0 250px 20px #473c78;
    }

    to {
        -moz-box-shadow: 0 0 100px 15px #f72a3b;
    }
}
@-o-keyframes one {
    from {
        -o-box-shadow: 0 0 250px 20px #473c78;
    }

    to {
        -o-box-shadow: 0 0 100px 15px #f72a3b;
    }
}

@keyframes one {
    from {
        box-shadow: 0 0 250px 20px #473c78;
    }

    to {
        box-shadow: 0 0 100px 15px #f72a3b;
    }
}

#two {
    width: 90%;
    /*animation*/
    -webkit-animation: two 4s ease-in-out infinite alternate;
    -moz-animation: two 4s ease-in-out infinite alternate;
    -ms-animation: two 4s ease-in-out infinite alternate;
    -o-animation: two 4s ease-in-out infinite alternate;
    animation: two 4s ease-in-out infinite alternate;
}
@-webkit-keyframes two {
    from {
        -webkit-box-shadow: 0 0 250px 20px #18c499;
    }

    to {
        -webkit-box-shadow: 0 0 100px 15px #d8f05e;
    }
}
@-moz-keyframes two {
    from {
        -moz-box-shadow: 0 0 250px 20px #18c499;
    }

    to {
        -moz-box-shadow: 0 0 100px 15px #d8f05e;
    }
}
@-o-keyframes two {
    from {
        -o-box-shadow: 0 0 250px 20px #18c499;
    }

    to {
        -o-box-shadow: 0 0 100px 15px #d8f05e;
    }
}

@keyframes two {
    from {
        box-shadow: 0 0 250px 20px #18c499;
    }

    to {
        box-shadow: 0 0 100px 15px #d8f05e;
    }
}

#three {
    width: 80%;
    /*animation*/
    -webkit-animation: three 3s ease-in-out infinite alternate;
    -moz-animation: three 3s ease-in-out infinite alternate;
    -ms-animation: three 3s ease-in-out infinite alternate;
    -o-animation: three 3s ease-in-out infinite alternate;
    animation: three 3s ease-in-out infinite alternate;
}
@-webkit-keyframes three {
    from {
        -webkit-box-shadow: 0 0 250px 20px #ffdd00;
    }

    to {
        -webkit-box-shadow: 0 0 100px 15px #3e33ff;
    }
}
@-moz-keyframes three {
    from {
        -moz-box-shadow: 0 0 250px 20px #ffdd00;
    }

    to {
        -moz-box-shadow: 0 0 100px 15px #3e33ff;
    }
}
@-o-keyframes three {
    from {
        -o-box-shadow: 0 0 250px 20px #ffdd00;
    }

    to {
        -o-box-shadow: 0 0 100px 15px #3e33ff;
    }
}

@keyframes three {
    from {
        box-shadow: 0 0 250px 20px #ffdd00;
    }

    to {
        box-shadow: 0 0 100px 15px #3e33ff;
    }
}

#four {
    width: 70%;
    /*animation*/
    -webkit-animation: four 2s ease-in-out infinite alternate;
    -moz-animation: four 2s ease-in-out infinite alternate;
    -ms-animation: four 2s ease-in-out infinite alternate;
    -o-animation: four 2s ease-in-out infinite alternate;
    animation: four 2s ease-in-out infinite alternate;
}
@-webkit-keyframes four {
    from {
        -webkit-box-shadow: 0 0 250px 20px #781848;
    }

    to {
        -webkit-box-shadow: 0 0 100px 15px #f2bbe9;
    }
}
@-moz-keyframes four {
    from {
        -moz-box-shadow: 0 0 250px 20px #781848;
    }

    to {
        -moz-box-shadow: 0 0 100px 15px #f2bbe9;
    }
}
@-o-keyframes four {
    from {
        -o-box-shadow: 0 0 250px 20px #781848;
    }

    to {
        -o-box-shadow: 0 0 100px 15px #f2bbe9;
    }
}

@keyframes four {
    from {
        shadow: 0 0 250px 20px #781848;
    }

    to {
        shadow: 0 0 100px 15px #f2bbe9;
    }
}

#five {
    width: 60%;
    /*animation*/
    -webkit-animation: five 1s ease-in-out infinite alternate;
    -moz-animation: five 1s ease-in-out infinite alternate;
    -ms-animation: five 1s ease-in-out infinite alternate;
    -o-animation: five 1s ease-in-out infinite alternate;
    animation: five 1s ease-in-out infinite alternate;
}
@-webkit-keyframes five {
    from {
        -webkit-box-shadow: 0 0 250px 20px #42f2a1;
    }

    to {
        -webkit-box-shadow: 0 0 100px 15px #f4f6ad;
    }
}
@-moz-keyframes five {
    from {
        -moz-box-shadow: 0 0 250px 20px #42f2a1;
    }

    to {
        -moz-box-shadow: 0 0 100px 15px #f4f6ad;
    }
}
@-o-keyframes five {
    from {
        -o-box-shadow: 0 0 250px 20px #42f2a1;
    }

    to {
        -o-box-shadow: 0 0 100px 15px #f4f6ad;
    }
}

@keyframes five {
    from {
        box-shadow: 0 0 250px 20px #42f2a1;
    }

    to {
        box-shadow: 0 0 100px 15px #f4f6ad;
    }
}
